Page MenuHomePhabricator

Prominent FlaggedRevs "stable version" banner shown on MobileFrontend
Closed, ResolvedPublic

Description

Something weird happens on mobile (https://fi.m.wikipedia.org/wiki/Suomi in the example): the banner "Tämä on vakaa versio, joka on katsottu 22. marraskuuta 2015.
Tila: Silmäilty" is not shown on desktop view, but takes quite a bit of space with MobileFrontend.

<div class="pre-content heading-holder">
			<ul id="page-actions" class="hlist"><li id="ca-edit" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-edit hidden" title="Muokkaa tämän sivun johdantoa."></li><li id="ca-watch" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-watch icon-32px watch-this-article hidden"><a href="/w/index.php?title=Toiminnot:Kirjaudu_sis%C3%A4%C3%A4n&amp;returnto=Suomi" title="Lisää tämä sivu tarkkailulistallesi [w]" accesskey="w"></a></li></ul><h1 id="section_0">Suomi</h1><div id="mw-fr-revisiontag" class="flaggedrevs_basic plainlinks noprint"><img class="flaggedrevs-icon" src="/static/1.27.0-wmf.7/extensions/FlaggedRevs/frontend/modules/img/doc-magnify.png" alt="Tälle sivulle tehtävät muutokset vaativat arviointia." title="Tälle sivulle tehtävät muutokset vaativat arviointia." /><img class="flaggedrevs-icon" src="/static/1.27.0-wmf.7/extensions/FlaggedRevs/frontend/modules/img/2.png" alt="Tämä on katsottu versio tästä sivusta" title="Tämä on katsottu versio tästä sivusta" />Tämä on <a href="/wiki/Ohje:Sivujen_arviointi" title="Ohje:Sivujen arviointi">vakaa versio</a>, joka on <a class="external text" href="//fi.wikipedia.org/w/index.php?title=Toiminnot:Loki&amp;type=review&amp;page=Suomi">katsottu</a> <i>22. marraskuuta 2015</i>.<a id="mw-fr-revisiontoggle" class="fr-toggle-symbol" style="display:none;" title="näytä tai piilota tarkemmat tiedot" >(+)</a><div id='mw-fr-revisiondetails'>&#160;<span class='fr-marker-40'><strong>Tila</strong>: <span class='fr-text-value'>Silmäilty&#160;</span>&#160;</span>
</div></div>

Event Timeline

Nemo_bis created this task.Nov 22 2015, 8:42 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 22 2015, 8:42 PM
Jdlrobson set Security to None.
Jdlrobson added a subscriber: Jdlrobson.

This has been bugging me for some time and I've seen it on other wikis. It looks very out of place and overly prominent on mobile.

Can #mw-fr-revisiontag at very least be hidden for the time being?

bd808 triaged this task as Medium priority.Feb 11 2016, 6:11 PM
bd808 added a subscriber: bd808.

Can #mw-fr-revisiontag at very least be hidden for the time being?

I'm not sure what you mean, but let's not hardcode extension- or skin-specific workarounds.

Jdlrobson renamed this task from Pointless "stable version" banner shown on MobileFrontend to Prominent FlaggedRevs "stable version" banner shown on MobileFrontend.Feb 17 2016, 10:03 PM

Change 271424 had a related patch set uploaded (by Jdlrobson):
Apply the nomobile class

https://gerrit.wikimedia.org/r/271424

Change 271424 merged by jenkins-bot:
Apply the nomobile class

https://gerrit.wikimedia.org/r/271424

Jdlrobson closed this task as Resolved.Feb 17 2016, 11:25 PM
Jdlrobson claimed this task.